"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dev = void 0;

var _vueWebpack = require("@srejs/vue-webpack");

var dev = function dev() {
  var page = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
  var webpackConfig = (0, _vueWebpack.getVueDevConfig)(page);
  var compiler = (0, _vueWebpack.Webpack)(webpackConfig);
  var devServerOptions = Object.assign({}, {
    port: '8080',
    stats: {
      colors: true
    }
  }, webpackConfig.devServer);
  var server = new _vueWebpack.WebpackDevServer(compiler, devServerOptions);
  server.listen(devServerOptions.port, '127.0.0.1', function () {
    console.log('srejs:Starting server on http://localhost:' + devServerOptions.port);
  });
};

exports.dev = dev;